Loading...
Searching...
No Matches
field_rdof_base< Derived >

## Detailed Description

template<class Derived>
class rheolef::details::field_rdof_base< Derived >

Definition at line 41 of file field_rdof.h.

Inheritance diagram for field_rdof_base< Derived >:

## Public Types

using | size_type = typename field_traits< Derived >::size_type
using | scalar_type = typename field_traits< Derived >::scalar_type
using | memory_type = typename field_traits< Derived >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >

## Public Member Functions

field_rdof_indirect_const< Derived > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< Derived > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< Derived > | operator[] (size_type i_comp) const
field_rdof_sliced_const< Derived > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const

## Protected Member Functions

Derived & | derived ()
const Derived & | derived () const

## Member Typedef Documentation

## size_type

template<class Derived >

using size_type = typename field_traits<Derived>::size_type

Definition at line 45 of file field_rdof.h.

## scalar_type

template<class Derived >

using scalar_type = typename field_traits<Derived>::scalar_type

Definition at line 46 of file field_rdof.h.

## memory_type

template<class Derived >

using memory_type = typename field_traits<Derived>::memory_type

Definition at line 47 of file field_rdof.h.

## float_type

template<class Derived >

using float_type = typename float_traits<scalar_type>::type

Definition at line 48 of file field_rdof.h.

## geo_type

template<class Derived >

using geo_type = geo_basic<float_type,memory_type>

Definition at line 49 of file field_rdof.h.

## space_type

template<class Derived >

using space_type = space_basic<float_type,memory_type>

Definition at line 50 of file field_rdof.h.

## Member Function Documentation

## operator[]() [1/3]

template<class Derived >

field_rdof_indirect_const< Derived > operator[] | ( | const std::string & | dom_name | ) | const

Definition at line 32 of file field_rdof.icc.

## operator[]() [2/3]

template<class Derived >

field_rdof_indirect_const< Derived > operator[] | ( | const geo_type & | dom | ) | const

Definition at line 38 of file field_rdof.icc.

## operator[]() [3/3]

template<class Derived >

field_rdof_sliced_const< Derived > operator[] | ( | size_type | i_comp | ) | const

Definition at line 44 of file field_rdof.icc.

## operator()()

template<class Derived >

field_rdof_sliced_const< Derived > operator() | ( | size_type | i_comp,
|  | size_type | j_comp
| ) |  | const

Definition at line 50 of file field_rdof.icc.

## have_homogeneous_space()

template<class Derived >

bool have_homogeneous_space | ( | space_type & | Xh | ) | const

Definition at line 61 of file field_rdof.h.

## derived() [1/2]

template<class Derived >

Derived & derived | ( |  | ) |

protected

Definition at line 64 of file field_rdof.h.

## derived() [2/2]

template<class Derived >

const Derived & derived | ( |  | ) | const

protected

Definition at line 65 of file field_rdof.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_rdof.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_rdof.icc